Draft Offset/es: Difference between revisions

From FreeCAD Documentation
(Created page with "==Descripción==")
(Updating to match new version of source page)
 
(32 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand/es|Name=Draft Offset|Workbenches=[[Draft Module/es|Croquis]], [[Arch Module/es|Arquitectura]]|MenuLocation=Croquis -> Equidistancia|Shortcut=O S}}

{{Docnav
|[[Draft_Mirror|Mirror]]
|[[Draft_Trimex|Trimex]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Mirror.svg
|IconR=Draft_Trimex.svg
|IconC=Workbench_Draft.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/es
|Name=Draft Offset
|Name/es=Draft Offset
|MenuLocation=Croquis → Equidistancia
|Workbenches=[[Draft_Workbench/es|Croquis]], [[Arch_Workbench/es|Arquitectura]]
|Shortcut={{KEY|O}} {{KEY|S}}
|SeeAlso=[[Part_Offset2D/es|Part 2D Offset]]
}}
</div>


<span id="Description"></span>
==Descripción==
==Descripción==


<div class="mw-translate-fuzzy">
The Offset tool offsets the selected object by a given distance on the current [[Draft Workingplane|work plane]]. If no object is selected, you will be invited to select one.
La herramienta Equidistancia crea una equidistacia de los objetos seleccionados a una distancia dada sobre el [[Draft SelectPlane/es|plano de trabajo]] actual. Si no se han seleccionado objetos, te invitará a seleccionar uno. Simplemente te pregunta por un punto, dando la distancia de la equidistancia de los objetos seleccionados.
</div>


[[Image:Draft_Offset_example.jpg|400px]]
[[Image:Draft_Offset_example.jpg|400px]]
{{Caption|Offsetting a Draft Wire}}


<span id="Usage"></span>
==How to use==
<div class="mw-translate-fuzzy">
==Utilización==
</div>


See also: [[Draft_Snap|Draft Snap]] and [[Draft_Constrain|Draft Constrain]].
# Select objects you wish to offset
# Press the {{KEY|[[Image:Draft Offset.png|16px]] [[Draft Offset]]}} button, or press {{KEY|O}} then {{KEY|S}} keys
# Click a point on the 3D view, or type a distance.


<div class="mw-translate-fuzzy">
==Options==
# Selecciona los objetos a los que quieras crear una equidistancia
# Presiona el botón {{KEY|[[Image:Draft Offset.png|16px]] [[Draft Offset/es|Equidistancia]]}}, o presiona las teclas {{KEY|O}} y {{KEY|S}}
# Designa un punto en la vista 3D, o escribe una distancia
</div>


<span id="Options"></span>
* Press {{KEY|T}} or click the checkbox to check/uncheck the {{KEY|'''Continue'''}} button. If continue mode is on, the Offset tool will restart after you finish or close it, allowing you to offset or copy the objects another time without pressing the Offset button again.
==Opciones==
* Pressing {{KEY|ALT}} or {{KEY|C}} or clicking the {{KEY|'''Copy'''}} button will make a copy of the objects, instead of moving them. If you keep {{KEY|ALT}} pressed after clicking the second point, you will be able to place more copies, until you release the {{KEY|ALT}} key.

* Press {{KEY|CTRL}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
The single character keyboard shortcuts available in the task panel can be changed. See [[Draft_Preferences|Draft Preferences]]. The shortcuts mentioned here are the default shortcuts (for version 0.22).
* Pressing {{KEY|SHIFT}} will [[Draft_Constrain|constrain]] you to the current segment, instead of picking the closest one.

* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current command.
<div class="mw-translate-fuzzy">
* Presiona {{KEY|T}} o selecciona la casilla para activar/desactivar el botón {{KEY|'''Continuar'''}}. Si el modo continuar está activado, la herramienta equidistancia se reiniciará al terminar permitiendo hacer otra equidistancia o copiar objetos de nuevo sin necesidad de volver a presionar el botón de equidistancia.
* Presionando {{KEY|ALT}} o {{KEY|C}} o seleccionando el botón {{KEY|'''Copiar'''}} se creará una copia de los objetos, en lugar de moverlos. Si mantienes presionada la tecla {{KEY|ALT}} después de seleccionar el segundo punto, podrás hacer más copias, hasta que liberes la tecla {{KEY|ALT}}.
* Presiona {{KEY|CTRL}} mientras dibujas para forzar el [[Draft_Snap/es|ajuste]] de tu punto a la posición de ajuste más cercana, independientemente de la distancia.
* Presionando {{KEY|SHIFT}} se [[Draft_Constrain/es|restringirá]] al segmento actual en lugar de seleccionar el más cercano.
* Presiona {{KEY|ESC}} o el botón {{KEY|'''Cancelar'''}} para abortar el comando actual.
</div>

==Notes==

* To create an offset version of a [[Draft_BSpline|Draft BSpline]] its points are offset individually, and from the new points a new spline is calculated. This new spline is not parallel to the original spline. For an exact parallel offset of a [[Draft_BSpline|Draft BSpline]] the [[Part_Offset2D|Part Offset2D]] command should be used.
* The Draft Offset command cannot handle [[Draft_BezCurve|Draft BezCurves]]. Use the [[Part_Offset2D|Part Offset2D]] command instead.


==Scripting==
==Scripting==


<div class="mw-translate-fuzzy">
The Offset tool can by used in [[macros]] and from the python console by using the following function:
==Programación==
</div>


<div class="mw-translate-fuzzy">
<syntaxhighlight>
La herramienta Equidistancia se puede utilizar en [[macros/es|macros]] y desde la consola de Python utilizando la siguiente función:
offset (object,Vector,[copymode],[bind],[sym])
</div>
</syntaxhighlight>


{{Code|code=
* Offsets the given wire by applying the given Vector to its first vertex.
offset_obj = offset(obj, delta, copy=False, bind=False, sym=False, occ=False)
* If copymode is True, another object is created, otherwise the same object gets offsetted.
}}
* If bind is True, and provided the wire is open, the original and the offsetted wires will be bound by their endpoints, forming a face.
* If sym is True, the offset is made on both sides, the total width being the length of the given vector.
* Returns the offsetted object (or its copy if copymode as True).


<div class="mw-translate-fuzzy">
Example:
* Crea una equidistancia del contorno dado aplicando el vector indicado a su primer vértice.
* Si copymode es True, se crea otro objeto, en otro caso es el mismo objeto el que se equidistancia. Si bind es True, y el contorno dado está abierto, el original y el contorno equidistante estarán enlazados por sus puntos finales, creando una cara.
* Si sym es True, la equidistancia se crea hacia ambos lados, siendo el ancho total la longitud del vector dado.
* Devuelve el objeto equidistante (o su copia si copymode es True).
</div>


Ejemplo:
<syntaxhighlight>
import FreeCAD,Draft
Draft.offset(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))
</syntaxhighlight>


{{Code|code=
<languages/>
import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1500, 2000, 0)
p3 = App.Vector(4000, 0, 0)

wire = Draft.make_wire([p1, p2, p3])
doc.recompute()

vector = App.Vector(-200, 150, 0)
offset1 = Draft.offset(wire, vector, copy=True, bind=True, sym=True)
offset2 = Draft.offset(wire, 3*vector, copy=True)
offset3 = Draft.offset(wire, 6*vector, copy=True)
offset4 = Draft.offset(wire, 9*vector, copy=True)
offset5 = Draft.offset(wire, 1.5*vector, copy=True, occ=True)

doc.recompute()
}}


{{Docnav
|[[Draft_Mirror|Mirror]]
|[[Draft_Trimex|Trimex]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Mirror.svg
|IconR=Draft_Trimex.svg
|IconC=Workbench_Draft.svg
}}

{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 04:58, 9 January 2024

Draft Offset

Ubicación en el Menú
Croquis → Equidistancia
Entornos de trabajo
Croquis, Arquitectura
Atajo de teclado por defecto
O S
Introducido en versión
-
Ver también
Part 2D Offset

Descripción

La herramienta Equidistancia crea una equidistacia de los objetos seleccionados a una distancia dada sobre el plano de trabajo actual. Si no se han seleccionado objetos, te invitará a seleccionar uno. Simplemente te pregunta por un punto, dando la distancia de la equidistancia de los objetos seleccionados.

Offsetting a Draft Wire

Utilización

See also: Draft Snap and Draft Constrain.

  1. Selecciona los objetos a los que quieras crear una equidistancia
  2. Presiona el botón Equidistancia, o presiona las teclas O y S
  3. Designa un punto en la vista 3D, o escribe una distancia

Opciones

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts (for version 0.22).

  • Presiona T o selecciona la casilla para activar/desactivar el botón Continuar. Si el modo continuar está activado, la herramienta equidistancia se reiniciará al terminar permitiendo hacer otra equidistancia o copiar objetos de nuevo sin necesidad de volver a presionar el botón de equidistancia.
  • Presionando ALT o C o seleccionando el botón Copiar se creará una copia de los objetos, en lugar de moverlos. Si mantienes presionada la tecla ALT después de seleccionar el segundo punto, podrás hacer más copias, hasta que liberes la tecla ALT.
  • Presiona CTRL mientras dibujas para forzar el ajuste de tu punto a la posición de ajuste más cercana, independientemente de la distancia.
  • Presionando SHIFT se restringirá al segmento actual en lugar de seleccionar el más cercano.
  • Presiona ESC o el botón Cancelar para abortar el comando actual.

Notes

  • To create an offset version of a Draft BSpline its points are offset individually, and from the new points a new spline is calculated. This new spline is not parallel to the original spline. For an exact parallel offset of a Draft BSpline the Part Offset2D command should be used.
  • The Draft Offset command cannot handle Draft BezCurves. Use the Part Offset2D command instead.

Scripting

Programación

La herramienta Equidistancia se puede utilizar en macros y desde la consola de Python utilizando la siguiente función:

offset_obj = offset(obj, delta, copy=False, bind=False, sym=False, occ=False)
  • Crea una equidistancia del contorno dado aplicando el vector indicado a su primer vértice.
  • Si copymode es True, se crea otro objeto, en otro caso es el mismo objeto el que se equidistancia. Si bind es True, y el contorno dado está abierto, el original y el contorno equidistante estarán enlazados por sus puntos finales, creando una cara.
  • Si sym es True, la equidistancia se crea hacia ambos lados, siendo el ancho total la longitud del vector dado.
  • Devuelve el objeto equidistante (o su copia si copymode es True).

Ejemplo:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1500, 2000, 0)
p3 = App.Vector(4000, 0, 0)

wire = Draft.make_wire([p1, p2, p3])
doc.recompute()

vector = App.Vector(-200, 150, 0)
offset1 = Draft.offset(wire, vector, copy=True, bind=True, sym=True)
offset2 = Draft.offset(wire, 3*vector, copy=True)
offset3 = Draft.offset(wire, 6*vector, copy=True)
offset4 = Draft.offset(wire, 9*vector, copy=True)
offset5 = Draft.offset(wire, 1.5*vector, copy=True, occ=True)

doc.recompute()